import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  commissionBatchId: SortOrderSchema.optional(),
  paymentId: SortOrderSchema.optional(),
  collectionAmount: SortOrderSchema.optional()
}).strict();
export const CommissionBatchItemSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemSumOrderByAggregateInput>;
export const CommissionBatchItemSumOrderByAggregateInputObjectZodSchema = makeSchema();
